<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <body>
        <ui:component>
            <p:dialog
                id="ResetUser"
                header="Modificar el password del usuario"
                widgetVar="ResetUsuario"
                modal="true"
                resizable="false"
                closable="true"
                width="500" >
                <h:panelGroup id="detalleReset">
                    <br/><br/>
                    <h:form id="Reset">
                        <h:panelGrid columns="2" >
                            <p:column>
                                <h:outputLabel for="id" value="Id: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="id" value="#{usuarioMB.usuarioResetear.id}" readonly="true" style="width: 150px"/>
                             </p:column>
                            
                            
                            <p:column>
                                <h:outputLabel for="password1" value="Password (1): " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:password id="password1" value="#{usuarioMB.reset_password1}" style="width: 350px" required="true" requiredMessage="El campo login es requerido"/>
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="password2" value="Password (2): " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:password id="password2" value="#{usuarioMB.reset_password2}" style="width: 350px" required="true" requiredMessage="El campo login es requerido"/>
                            </p:column>
                            
                            <p:column>
                                <p:commandButton 
                                    value="Modificar" 
                                    style="font-size:  70%" 
                                    action="#{usuarioMB.resetPassword(usuarioMB.reset_id,usuarioMB.reset_password1,usuarioMB.reset_password2)}">                        
                                </p:commandButton>
                            </p:column>   
                            <p:column>
                                <p:commandButton
                                    value="Cerrar"
                                    type="button"
                                    style="font-size:  70%" 
                                    onclick="PF('ResetUsuario').hide();">
                                </p:commandButton>
                            </p:column>
                        </h:panelGrid> 
                    </h:form>
                </h:panelGroup>
            </p:dialog>
        </ui:component>
    </body>
</html>
